mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.IComparable System.IComparable<System.Guid> System.IEquatable<System.Guid> System.IFormattable System.Runtime.InteropServices.ComVisible(true)

A GUID is a 128-bit integer (16 bytes) that can be used across all computers and networks wherever a unique identifier is required. Such an identifier has a very low probability of being duplicated.

Represents a globally unique identifier (GUID).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Any array of bytes is a valid Guid.

  Initializes a new instance of the structure by using the specified array of bytes.

  A 16-element byte array containing values with which to initialize the GUID.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The alphabetic hexadecimal digits in the parameter can be uppercase or lowercase. For example, the following strings represent the same GUID:

  "ca761232ed4211cebacd00aa0057b223"

  "CA761232-ED42-11CE-BACD-00AA0057B223"

  "{CA761232-ED42-11CE-BACD-00AA0057B223}"

  "(CA761232-ED42-11CE-BACD-00AA0057B223)"

  "{0xCA761232, 0xED42, 0x11CE, {0xBA, 0xCD, 0x00, 0xAA, 0x00, 0x57, 0xB2, 0x23}}"

  Initializes a new instance of the structure by using the value represented by the specified string.

  A string that contains a GUID in one of the following formats ("d" represents a hexadecimal digit whose case is ignored):
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Any values are permissible.

  Initializes a new instance of the structure by using the specified integers and byte array.

  The first 4 bytes of the GUID.
  The next 2 bytes of the GUID.
  The next 2 bytes of the GUID.
  The remaining 8 bytes of the GUID.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Specifying individual bytes in this manner can be used to circumvent byte order restrictions (big-endian or little-endian byte order) on particular types of computers.

  Initializes a new instance of the structure by using the specified integers and bytes.

  The first 4 bytes of the GUID.
  The next 2 bytes of the GUID.
  The next 2 bytes of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)

  Specifying the bytes in this manner avoids endianness issues.

  Initializes a new instance of the structure by using the specified unsigned integers and bytes.

  The first 4 bytes of the GUID.
  The next 2 bytes of the GUID.
  The next 2 bytes of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
  The next byte of the GUID.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  This method implements the interface and performs slightly better than the method because it does not have to convert the parameter to an object.

  Compares this instance to a specified object and returns an indication of their relative values.

  A signed number indicating the relative values of this instance and .

  Return value

  Description

  A negative integer

  This instance is less than .

  Zero

  This instance is equal to .

  A positive integer

  This instance is greater than .

  An object to compare to this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Any instance of , regardless of its value, is considered greater than null.

  The parameter must be null or an instance of ; otherwise, an exception is thrown.

  Compares this instance to a specified object and returns an indication of their relative values.

  A signed number indicating the relative values of this instance and .

  Return value

  Description

  A negative integer

  This instance is less than .

  Zero

  This instance is equal to .

  A positive integer

  This instance is greater than , or is null.

  An object to compare, or null.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid 00000000-0000-0000-0000-000000000000

  You can compare a GUID with the value of the field to determine whether a GUID is non-zero. The following example uses the operator to compare two GUID values with to determine whether they consist exclusively of zeros.

  code reference: System.Guid.Empty#1

  A read-only instance of the structure whose value is all zeros.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method performs slightly better than the method because it does not have to box the parameter.

  Returns a value indicating whether this instance and a specified object represent the same value.

  true if is equal to this instance; otherwise, false.

  An object to compare to this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if is a that has the same value as this instance; otherwise, false.

  The object to compare with this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  The hash code for this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid

  This is a convenient static method that you can call to get a new .

  The chance that the value of the new will be all zeros or equal to any other is very low. You can determine whether a GUID consists of all zeros by comparing it to .

  Initializes a new instance of the structure.

  A new GUID object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` None.

  Indicates whether the values of two specified objects are equal.

  true if and are equal; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` None.

  Indicates whether the values of two specified objects are not equal.

  true if and are not equal; otherwise, false.

  The first object to compare. The second object to compare.
- Method
  4.0.0.0
  System.Guid ``

  Use method to catch any unsuccessful parse operations.

  Converts the string representation of a GUID to the equivalent structure.

  A structure that contains the value that was parsed.

  The GUID to convert.
- Method
  4.0.0.0
  System.Guid `` ``

  The following table shows the accepted format specifiers for the parameter. "0" represents a digit; hyphens ("-"), braces ("{", "}"), and parentheses ("(", ")") appear as shown.

  Specifier

  Format of the parameter

  N

  32 digits:

  00000000000000000000000000000000

  D

  32 digits separated by hyphens:

  00000000-0000-0000-0000-000000000000

  B

  32 digits separated by hyphens, enclosed in braces:

  {00000000-0000-0000-0000-000000000000}

  P

  32 digits separated by hyphens, enclosed in parentheses:

  (00000000-0000-0000-0000-000000000000)

  X

  Four hexadecimal values enclosed in braces, where the fourth value is a subset of eight hexadecimal values that is also enclosed in braces:

  {0x00000000,0x0000,0x0000,{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}}

  Converts the string representation of a GUID to the equivalent structure, provided that the string is in the specified format.

  A structure that contains the value that was parsed.

  The GUID to convert. One of the following specifiers that indicates the exact format to use when interpreting : "N", "D", "B", "P", or "X".
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  You can use the byte array returned by this method to round-trip a value by calling the constructor.

  Note that the order of bytes in the returned byte array is different from the string representation of a value. The order of the beginning four-byte group and the next two two-byte groups is reversed, whereas the order of the last two-byte group and the closing six-byte group is the same. The example provides an illustration.

  Returns a 16-element byte array that contains the value of this instance.

  A 16-element byte array.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method provides a default GUID format that is sufficient for typical use; however, other versions of this method that take a parameter provide a few common format variations.

  Returns a string representation of the value of this instance in registry format.

  The value of this , formatted by using the "D" format specifier as follows:

  xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx

  where the value of the GUID is represented as a series of lowercase hexadecimal digits in groups of 8, 4, 4, 4, and 12 digits and separated by hyphens. An example of a return value is "382c74c3-721d-4f34-80e5-57657b6cbc27". To convert the hexadecimal digits from a through f to uppercase, call the method on the returned string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The following table shows the accepted format specifiers for the parameter. "0" represents a digit; hyphens ("-"), braces ("{", "}"), and parentheses ("(", ")") appear as shown.

  Specifier

  Format of return value

  N

  32 digits:

  00000000000000000000000000000000

  D

  32 digits separated by hyphens:

  00000000-0000-0000-0000-000000000000

  B

  32 digits separated by hyphens, enclosed in braces:

  {00000000-0000-0000-0000-000000000000}

  P

  32 digits separated by hyphens, enclosed in parentheses:

  (00000000-0000-0000-0000-000000000000)

  X

  Four hexadecimal values enclosed in braces, where the fourth value is a subset of eight hexadecimal values that is also enclosed in braces:

  {0x00000000,0x0000,0x0000,{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}}

  The hexadecimal digits a through f are lowercase in the returned string. To convert them to uppercase, call the method on the returned string.

  Returns a string representation of the value of this instance, according to the provided format specifier.

  The value of this , represented as a series of lowercase hexadecimal digits in the specified format.

  A single format specifier that indicates how to format the value of this . The parameter can be "N", "D", "B", "P", or "X". If is null or an empty string (""), "D" is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  The parameter is reserved for future use and does not contribute to the execution of this method. You can pass null in the method call.

  The following table shows the accepted format specifiers for the parameter. "0" represents a digit; hyphens ("-"), braces ("{", "}"), and parentheses ("(", ")") appear as shown.

  Specifier

  Format of return value

  N

  32 digits:

  00000000000000000000000000000000

  D

  32 digits separated by hyphens:

  00000000-0000-0000-0000-000000000000

  B

  32 digits separated by hyphens, enclosed in braces:

  {00000000-0000-0000-0000-000000000000}

  P

  32 digits separated by hyphens, enclosed in parentheses:

  (00000000-0000-0000-0000-000000000000)

  X

  Four hexadecimal values enclosed in braces, where the fourth value is a subset of eight hexadecimal values that is also enclosed in braces:

  {0x00000000,0x0000,0x0000,{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}}

  The hexadecimal digits a through f are lowercase in the returned string. To convert them to uppercase, call the method on the returned string.

  Because the parameter is ignored, you cannot use it to provide a custom formatting solution. To represent a value as a string in a format that isn't supported by the standard GUID format strings, call the method with a object that implements both the and interfaces. For more information, see the "Custom Formatting with ICustomFormatter" section in the Formatting Types article.

  Returns a string representation of the value of this instance of the class, according to the provided format specifier and culture-specific format information.

  The value of this , represented as a series of lowercase hexadecimal digits in the specified format.

  A single format specifier that indicates how to format the value of this . The parameter can be "N", "D", "B", "P", or "X". If is null or an empty string (""), "D" is used. (Reserved) An object that supplies culture-specific formatting information.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.